function [ y ] = nulovani( x, fvz, fmez )
% % Funkce nulovani.m filtruje signál x pomocí nulování spektrálních čar.
% Je vhodná pro potlačení driftu v užitečném signálu. Vstupy funkce jsou:
% x: vektor popisující signál, který má být filtrován pomocí nulování
% spektrálních čar
% fvz: kladné číslo charakterizující frekvenci, s kterou je signál x
% vzorkován
% fmez: kladné číslo charakterizující mezní frekvenci filtru
% Výstupem funkce nulovani.m je vektor y charakterizující získaný 
% vyfiltrovaný signál.

%výpočet spektra pomocí DFT
spektrum=fft(x);

%výpočet vzdálenosti sousedních spektrálních čar
krok=fvz/length(x);
pom=round(fmez/krok);

%nulování
spektrum(1:pom)=0;
spektrum(end-pom+2:end)=0;

%výpočet zpětné DFT a získání vyfiltrovaného signálu
y=ifft(spektrum);
